Bug 1376692 - Disable gluster-NFS post upgrade to >=3.8 releases
Summary: Disable gluster-NFS post upgrade to >=3.8 releases
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: nfs
Version: mainline
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1376694
TreeView+ depends on / blocked
 
Reported: 2016-09-16 07:47 UTC by Soumya Koduri
Modified: 2018-11-20 08:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1376694 (view as bug list)
Environment:
Last Closed: 2018-11-20 08:52:39 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Soumya Koduri 2016-09-16 07:47:39 UTC
Description of problem:

Since gluster-NFS is no more default NFS server for gluster volumes from 3.8.x release, it shouldn't be started by default post upgrade to >=3.8.x releases.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Soumya Koduri 2016-09-26 12:38:46 UTC
Current behavior is that if any volumes (with default nfs.disable option value i.e, off) are upgraded to >3.8.x , gNFS doesn't come up by default. But if any user has explicitly set nfs.disable off for any volume and upgrades to > 3.8.x release, gNFS server comes up automatically. We would like to fix the latter scenario (if technically possible).

Comment 2 Jiffin 2018-11-20 08:52:39 UTC
Currently gNFS is not shipped with release 4.1 and release 5. Hence closing this bug as eoled


Note You need to log in before you can comment on or make changes to this bug.